Bug 5283 - ADUC: Creation of users with preexisting usernames
ADUC: Creation of users with preexisting usernames
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 major
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 07:27 UTC by Matthias Dieter Wallnöfer
Modified: 2009-06-13 13:07 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2008-02-26 07:27:46 UTC
SAMBA 4 doesn't seem to do a preexistence lookup when creating a user account with ADUC.

- I tried for testing purposes to create a second user named "Administrator" under  "CN=Users"
- I got a strange error message on the client side telling me something about a corruptes SAM-DB
- On the server side I get "Found 2 records matching user [Administrator]".
Comment 1 Andrew Bartlett 2008-02-26 15:31:08 UTC
This is one of those things that is handled quite well in Windows, because their JET engine sets a unique index on a few attributes.  We have the great fun of having to emulate that...
Comment 2 Matthias Dieter Wallnöfer 2008-03-13 14:23:42 UTC
It seems, that this is handled now in a more better way. So the creation of two "Administrators" isn't allowed anymore. But I get a strange error message which hasn't to do much with the problem.
Comment 3 Matthias Dieter Wallnöfer 2008-06-02 17:34:53 UTC
(In reply to comment #2)
> It seems, that this is handled now in a more better way. So the creation of two
> "Administrators" isn't allowed anymore. But I get a strange error message which
> hasn't to do much with the problem.
> 
I was wrong: The creation of two "Administrator" users is still possible, because I get an appropriate warning from smbd.
Comment 4 Andrew Bartlett 2008-06-02 17:39:35 UTC
Yes, we need to implement unique indexs in LDB.

This should be pretty easy to do, but Simo will kill me if I do it before he merges his LDB branch.
Comment 5 Matthias Dieter Wallnöfer 2008-08-11 11:14:12 UTC
How far is now the async LDB library?
Comment 6 Andrew Bartlett 2008-08-20 00:52:45 UTC
I'm working my way towards unique index support this week.
Comment 7 Matthias Dieter Wallnöfer 2009-06-13 13:07:07 UTC
This should be fixed. Thanks for the work on unique indexes.